# Installation of software for trio whole exome project

## Aspera

Downloaded Aspera Connect version 3.7.4.147727 from https://downloads.asperasoft.com and extracted to /home/u035/project/software.

## bcbio

Version 1.2.3 with some bugfixes from the dev branch.

Start with installing the base software, and add datatargets.

This will take a long time, and may require multiple runs if it fails on a step. It will resume if needed. Run on a screen session and log each attempt. It's important to set the limit on the number of concurrently open files to as high as possible (4096 on ultra).

```
cd /home/u035/project/software/install
wget https://raw.github.com/bcbio/bcbio-nextgen/master/scripts/bcbio_nextgen_install.py

ulimit -n 4096

DATE=`date +%Y%m%d%H%M`
python bcbio_nextgen_install.py /home/u035/project/software/bcbio \
  --tooldir /home/u035/project/software/bcbio/tools \
  --genomes hg38 --aligners bwa \
  --cores 32 &> bcbio_install_base_${DATE}.log
```

Fix an issue with bcbio & vt/samtools/htslib. See https://github.com/bcbio/bcbio-nextgen/issues/3327 and https://github.com/bcbio/bcbio-nextgen/issues/3328.

```
DATE=`date +%Y%m%d%H%M`
/home/u035/project/software/bcbio/tools/bin/bcbio_nextgen.py upgrade -u development --tools &> bcbio_install_upgrade_tools_${DATE}.log
```

Install datatarget vep

```
DATE=`date +%Y%m%d%H%M`
/home/u035/project/software/bcbio/tools/bin/bcbio_nextgen.py upgrade -u skip --datatarget vep &> bcbio_install_datatarget_vep_${DATE}.log
```

We already had gnomAD 3.0 compiled and downloaded from another bcbio installation, so this gets copied to /home/u035/project/software/bcbio/genomes/Hsapiens/hg38/variation.

Put a fake file name for genotype2phenotype field in genomes/hg38/seq/hg38-resources.yaml

Increase JVM memory for GATK in galaxy/bcbio_system.yaml

```
  gatk:
    jvm_opts: ["-Xms500m", "-Xmx5g"]
```

## VASE

VASE was installed following the instructions at https://github.com/david-a-parry/vase.
